# IMAP Service

The Internet Mail Access Protocol (IMAP) provides incoming e-mail storage and retrieval services, with the option that users can either download their e-mail or leave it on the IMAP server. The security device compares actual IMAP traffic with maximum settings of what you consider to be normal IMAP traffic. The security device considers any traffic exceeding such settings as anomalous.

To modify one or more of the following settings for IMAP, enter a new value in the Current column for the parameter you want to adjust, and then click Apply:

Maximum Line Length: Specifies the maximum number of bytes for an IMAP line. Minimum: 1; maximum: 8192; default: 2048.

Maximum Username Length: Specifies the maximum number of bytes for an IMAP user name. Minimum: 1; maximum: 8192; default: 64.

Maximum Password Length: Specifies the maximum number of bytes for an IMAP password. Minimum: 1; maximum: 8192; default: 64.

Maximum Mailbox Length: Specifies the maximum number of bytes for an IMAP mailbox. Minimum: 1; maximum: 8192; default: 64.

Maximum Reference Length: Specifies the maximum number of bytes for an IMAP reference. Minimum: 1; maximum: 8192; default: 64.

Maximum Flag Length: Specifies the maximum number of bytes for an IMAP flag. Minimum: 1; maximum: 8192; default: 64.

Maximum Literal Length: Specifies the maximum number of octets in a literal string, which in IMAP4 can be in one of two forms: literal or quoted. Minimum: 1; maximum: 16,777,215; default: 65,535.

Maximum Number of Login Failures per Minute: Specifies the maximum number of failed login attempts per minute to an IMAP server from a single host. Minimum: 2; maximum: 100; default: 8.